Subject: Re: Win32 vim / gvim with gcc?
From: [email-masked] (Larry Hall)

24 Jan 1998 14:29:58 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Cook, John" <[email-masked]>
Cc: Vim Development list <[email-masked]>,
        gnuwin32 <[email-masked]>

Cook, John wrote:
> Provided bash sets TERM=linux, the resulting Vim should work well in
> the GnuWin32 environment.  The only problem I have encountered is that
> the screen redrawing has a small problem when Vim has multiple windows
> and I use <C-F> to scroll ahead:  parts of the split bar appear near
> the top of the window (<C-L> always clears it up, though).  I know
> enough of neither ncurses nor Vim screen drawing to know where to look
> for the cause of this.
> 

I suspect that this is a problem in the cygwin.dll console scrolling
capabilities rather than in either ncurses or vim.  I've looked at
all this code and come to the conclusion the problem is in the DLL.
Unfortunately, just about the time I was going to build a new 
cygwin.dll (for the first time) and make some changes, my disk died.
As such, I'm at least a good month away from being ready to do this
again.  However, if anyone else is interested in tracking down scroll
problems in vim (and also less), feel free to ask me about what I
found.  You may find it useful...

-- 
Larry
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".